#if 0
#include "sopnamsp.h"
#include "median.h"
#include <algorithm>

float MedianFilter(float tab[], int n)
{
  sort(tab, tab+n);
  return (n%2 ? tab[n/2] : (tab[n/2]+tab[n/2-1])/2);
}

double MedianFilter(double tab[], int n)
{
  sort(tab, tab+n);
  return (n%2 ? tab[n/2] : (tab[n/2]+tab[n/2-1])/2);
}

void   MedianFilterWindowIdx(float const data[], int ndata, int width, 
			     int index[])
{
  float* tab = new float[witdh];


  delete[] tab;
}
#endif
